Vietnamese Dictionary Version History

4 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 2.1.0.159 50.2 KB Works with Firefox 2.0a1 - 31.0, Mobile 0.7 - 31.0, SeaMonkey 1.0a - 2.28, Thunderbird 2.0a1 - 31.0

  • Changed the menu items to “Vietnamese (DauCu)” and “Vietnamese (DauMoi)”. The fix for Mozilla bug 741,842 had caused both menu items to read “Vietnamese” in Firefox 14.

Version 2.0.2.138 49.2 KB Works with Firefox for Android 10.0a1 - 13.0a1, Firefox 2.0a1 - 31.0, Mobile 0.7 - 31.0, SeaMonkey 1.0a - 2.28, Thunderbird 2.0a1 - 31.0

  • Added support for SeaMonkey 2.4 and BlueGriffon 1.1.

Version 2.0.1.114 50.2 KB Works with Firefox 2.0a1 - 31.0, Mobile 0.7 - 31.0, SeaMonkey 1.0a - 2.10a1, Thunderbird 2.0a1 - 31.0

This update corrects a typo that prevented version 2.0.0.107 of Vietnamese Dictionary from installing in most versions of Firefox.
  • Added support for the latest betas of Firefox 4 and compatible applications.
  • Added a few correctly-spelled words to the word lists and removed a misspelled word.
  • Suggestions are now sorted partly by Vietnamese letter frequency statistics. (Firefox 3 and above)
  • Rewrote the suggestion mechanism to better handle errors in placing diacritical marks. Improvements include recognizing confusion between the hỏi and ngã tones; confusion between “iêu”, “iu”, and “ưu”; and tone marks placed on the wrong vowel. (Firefox 3 and above)

Version 1.0.0.24 53.2 KB Works with Firefox 2.0a1 - 12.0a1, Mobile 0.1 - 4.0b2pre, SeaMonkey 1.0a - 2.9a1, Thunderbird 2.0a1 - 12.0a1

Initial release, based on the Hunspell Vietnamese dictionary by Ivan Garcia and the FVDP wordlist by Hồ Ngọc Đức.
  • Produced two dictionaries, one that uses old-style diacritics and one that uses new-style diacritics.
  • Removed a number of misspelled words from the whitelist.
  • Added rules for “dz” → “d” and for preferring one diacritic style over another.
  • Localized the extension description (for the Add-ons window) into English, Spanish, and Vietnamese.
  • Set the minimum version for Firefox and Thunderbird at 2.0.